Description

Pretty API wrapper for pyd

Package Information

Version0.1.4 (2015-Jul-04)
Repository https://github.com/John-Colvin/ppyd
LicenseBSL-1.0
AuthorsJohn Colvin
Registered byJohn Colvin
Dependencies none

Installation

To use this package, put the following dependency into your project's dependencies section:

dub.json
dub.sdl

Readme

ppyd

Pretty pyd

Use `@pdef!()` to annotate function, types, members etc. that you want to expose to python via pyd.

Add template arguments to `@pdef!() just like you would add to def, Def and similar in pyd. E.g. @pdef!(PyName!"pyFoo") int foo();`

Available versions

0.1.4 0.1.3 0.1.2 0.1.1 0.1.0 ~master